# PageData Class Reference

`#include <pagedata.h>`

List of all members.

## Public Member Functions
| PageData (QWidget *parent=0)
virtual | ~PageData ()
## Public Attributes
QString | pd_FilePath
| contains path to file without file name
QString | pd_FileExt
| contains POU extension
QString | pd_FileName
| contains POU name
QString | pd_FileType
| contains POU type mark
QString | pd_FncType
| contains type of function
QString | pd_FileEnd
| contains POU end mark
QString | pd_PROGLNG
| contains programming language of file
QString | pd_IDERef
| contains IDE reference
QString | pd_SucosoftHeader
| contains Moeller Sucosoft header
QString | pd_MULTIPROGDescription
| contains KW-Software description section
QString | pd_MULTIPROGProperties
| contains KW-Software properties section
QString | pd_MULTIPROGWorkSheetName
| contains KW-Software work sheet name
QString | pd_STEP7DBData
| contains Siemens DB Data
QString | pd_MELSOFTConfig
QString | pd_highlighters
| contains Mitsubishi MELSOFT config data

## Constructor & Destructor Documentation

PageData::PageData | ( | QWidget * | parent = `0` | ) |

creating function

Parameters:

  | QSplitter | as parent

PageData::~PageData | ( |  | ) | `[virtual]`

virtual destructor

## Member Data Documentation

QString PageData::pd_FileEnd

contains POU end mark

QString PageData::pd_FileExt

contains POU extension

QString PageData::pd_FileName

contains POU name

QString PageData::pd_FilePath

contains path to file without file name

QString PageData::pd_FileType

contains POU type mark

QString PageData::pd_FncType

contains type of function

QString PageData::pd_highlighters

contains Mitsubishi MELSOFT config data

contains highlighter allowance

QString PageData::pd_IDERef

contains IDE reference

QString PageData::pd_MELSOFTConfig

QString PageData::pd_MULTIPROGDescription

contains KW-Software description section

QString PageData::pd_MULTIPROGProperties

contains KW-Software properties section

QString PageData::pd_MULTIPROGWorkSheetName

contains KW-Software work sheet name

QString PageData::pd_PROGLNG

contains programming language of file

QString PageData::pd_STEP7DBData

contains Siemens DB Data

QString PageData::pd_SucosoftHeader

contains Moeller Sucosoft header

The documentation for this class was generated from the following files:

- pagedata.h
- pagedata.cpp